Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class CollabItemList

    java.lang.Object
      portlets.compoze.groupware.CollabItemList

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CollabAddressEntryList

public class CollabItemList
extends java.lang.Object
implements java.io.Serializable

This class represents an item list consisting of Collaboration items.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `m_items`

Constructor Summary
`CollabItemList(java.lang.Object items)` Contructor
`CollabItemList(java.lang.Object items, boolean bIsPaginationFullySupported)` Contructor

Method Summary
`int` | `getEndIndex()` Gets the end index.
`java.lang.Object` | `getItems()` Gets the items.
`int` | `getLastPageNumber()` Gets the last page number.
`int` | `getNextPageNumber()` Gets the next page number.
`int` | `getPageCount()` Gets the page count.
`int` | `getPageItemCount()` Gets the page item count.
`int` | `getPageNumber()` Gets the page number.
`int` | `getPreviousPageNumber()` Gets the previous page number.
`int` | `getStartIndex()` Gets the start index.
`int` | `getTotalItemCount()` Gets the total item count.
`boolean` | `isFirstPage()` Checks if the current page is the first page.
`boolean` | `isLastPage()` Checks if the current page is the last page.
`boolean` | `isPaginationFullySupported()` Checks if pagination is fully supported.
`void` | `setIsFirstPage(boolean bIsFirstPage)` Sets if the current page is the first page.
`void` | `setIsLastPage(boolean bIsLastPage)` Sets if the current page is the last page.
`void` | `setIsPaginationFullySupported(boolean bIsPaginationFullySupported)` Sets if pagination is fully supported.
`void` | `setPageCount(int iPageCount)` Sets the page count.
`void` | `setPageItemCount(int iPageItemCount)` Sets the page item count.
`void` | `setPageNumber(int iPageNumber)` Sets the page number.
`void` | `setStartIndex(int iStartIndex)` Sets the start index.
`void` | `setTotalItemCount(int iTotalItemCount)` Sets the total item count.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_items

    protected java.lang.Object m_items

Constructor Detail

### CollabItemList

    public CollabItemList(java.lang.Object items)

  Contructor

Parameters:
  `items` - the itmes this item list holds (may not be `null`)

### CollabItemList

    public CollabItemList(java.lang.Object items,
                          boolean bIsPaginationFullySupported)

  Contructor

Parameters:
  `items` - the itmes this item list holds (may not be `null`)
  `bIsPaginationFullySupported` - `true` if pagination is fully supported by a certain groupware provider; `false` otherwise

Method Detail

### getItems

    public java.lang.Object getItems()

  Gets the items.

  Returns:
    the items

### getPreviousPageNumber

    public int getPreviousPageNumber()

  Gets the previous page number.

  Returns:
    the number of the previous page (1-based)

### getNextPageNumber

    public int getNextPageNumber()

  Gets the next page number.

  Returns:
    the number of the next page (1-based)

### getLastPageNumber

    public int getLastPageNumber()

  Gets the last page number.

  Returns:
    the number of the last page (1-based)

### isFirstPage

    public boolean isFirstPage()

  Checks if the current page is the first page.

  Returns:
    `true` if the current page is the first page; `false` otherwise

### setIsFirstPage

    public void setIsFirstPage(boolean bIsFirstPage)

  Sets if the current page is the first page.

  Parameters:
    `bIsFirstPage` - `true` if the current page is the first page; `false` otherwise

### isLastPage

    public boolean isLastPage()

  Checks if the current page is the last page.

  Returns:
    `true` if the current page is the last page; `false` otherwise

### setIsLastPage

    public void setIsLastPage(boolean bIsLastPage)

  Sets if the current page is the last page.

  Parameters:
    `bIsLastPage` - `true` if the current page is the last page; `false` otherwise

### getTotalItemCount

    public int getTotalItemCount()

  Gets the total item count.

  Returns:
    the total count of items

### setTotalItemCount

    public void setTotalItemCount(int iTotalItemCount)

  Sets the total item count.

  Parameters:
    `iTotalItemCount` - the total count of items

### getPageNumber

    public int getPageNumber()

  Gets the page number.

  Returns:
    the index of the current page (1-based)

### setPageNumber

    public void setPageNumber(int iPageNumber)

  Sets the page number.

  Parameters:
    `iPageNumber` - the index of the current page(1-based)

### getPageCount

    public int getPageCount()

  Gets the page count.

  Returns:
    the total number of the pages

### setPageCount

    public void setPageCount(int iPageCount)

  Sets the page count.

  Parameters:
    `iPageCount` - the total count of the pages

### isPaginationFullySupported

    public boolean isPaginationFullySupported()

  Checks if pagination is fully supported.

  Returns:
    `true` if pagination is fully supported by a certain groupware provider; `false` otherwise

    For some groupware provider, pagination is not completely supported.

### setIsPaginationFullySupported

    public void setIsPaginationFullySupported(boolean bIsPaginationFullySupported)

  Sets if pagination is fully supported.

  Returns:
    `true` if pagination is fully supported by a certain groupware provider; `false` otherwise

### getStartIndex

    public int getStartIndex()

  Gets the start index.

  Returns:
    the index of the first item on this page (1-based)

### setStartIndex

    public void setStartIndex(int iStartIndex)

  Sets the start index.

  Parameters:
    `iStartIndex` - the index of the first item on this page (1-based)

### getEndIndex

    public int getEndIndex()

  Gets the end index.

  Returns:
    the index of the last item on this page (1-based)

### getPageItemCount

    public int getPageItemCount()

  Gets the page item count.

  Returns:
    the number of items on this page

### setPageItemCount

    public void setPageItemCount(int iPageItemCount)

  Sets the page item count.

  Parameters:
    `iPageItemCount` - the number of items on this page

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.